Subject: Re: [Manycouches] Martin Duke's Block on charter-ietf-shmoo-01-00: (with BLOCK and COMMENT)

From: Mallory Knodel <[email-masked]>
Date: Wed, 2 Feb 2022 11:34:03 -0800

Hi all,

Re:

> ----------------------------------------------------------------------
> BLOCK:
> ----------------------------------------------------------------------
>
> I have trouble seeing what high-level principles a BCP regarding compliance
> with health policies will enumerate. Isn't it pretty much "do what the health
> authorities tell us to do"? Is the intent to establish red lines to cancel (but
> cancellation criteria are out of scope). Or is it to have principles for
> rationing access to the venue when capacity see drops? Please clarify what the
> intent is here.

Given Roman's and Martin's blocks and that no one is particularly 
defending them I propose we simply remove this item from the activities 
listed in the charter:

> - Meeting planning for meetings where special measures are required to manage
>    community health due to venue specific restrictions and/or to comply with any
>    local health regulations, e.g., the need for increased spacing, ventilation
>    requirements etc. This work item is expected to be fulfilled with the
>    publication of one or more BCPs.

Martin and Roman: Does that satisfy your comment?

Group: Any issues with that way forward?

-Mallory

On 1/19/22 11:48 AM, John C Klensin wrote:
> Mallory,
>
> I have a concern that may be similar to Martin's and another one
> that is hinted at from my comments about another set of
> discussions in the WG.  Inline below.
>
>    
>
> --On Tuesday, January 18, 2022 13:44 -0500 Mallory Knodel
> <[email-masked]>  wrote:
>
>> Hi Martin,
>>
>> Others probably have comments, but "health authorities" is
>> clearly not a monolith. Deciding who to take as an authority
>> would be within scope.
> I would hope that, while setting criteria or giving guidance
> about making that decision would be within scope, deciding who
> to take as an authority should not be.  Even the former may not
> be under our control: As Alex, Fred, and others have pointed out
> directly on indirectly, when cognizant legal or regulatory
> authorities lay out rules that they have to power to enforce,
> those are the rules and the IETF's opinion about them is of no
> value.  In that regard, while I agreed that cancellation
> criteria should be out of scope, I wonder whether it would be
> useful for the WG to have some discussion about principles to be
> followed if rules imposed by venues or local authorities change
> in ways that would make holding a scheduled meeting more
> difficult.   While sometimes those things can be negotiated (as
> the IETF has occasionally been able to negotiate around local
> rules in the past), our being able to do things that are
> forbidden to the local population can stir up serious
> resentments that last long beyond the time of the actual event.
> I am confident that the LLC understands those issues, but it
> seems to me that high-level advice from this WG about where to
> draw the line would be appropriate.
>
> Coming back to the "health authority" question, part of our
> problem is that, while it is clear that there is a very high
> concentration in the IETF of people with expertise in networking
> at its various levels, in-depth knowledge of immunology,
> epidemiology, and the more technical aspects of public health
> planning is rather sparse.   One symptom is that I've seen
> assertions on this list that I've gotten curious about and
> passed on to epidemiologist colleagues for a reaction.  The
> reactions have uniformly been close to "those people should
> stick to Internet design and technology".
>
> So, again, suggesting criteria -- starting with "violating local
> laws is usually bad"-- should be fine.   Picking who to consider
> an authority is a problem best left to the LLC who are in a
> better position to obtain whatever professional-specialist
> advice is needed, put it into IETF context, and act on it.
>
>> Additionally the guidance from one authority, say the CDC in
>> the US, can be confusing and in need of simplification, or in
>> the scope of shmoo an agreed upon approach to simplification.
> Agreed.  Unfortunately, one of the things that causes that
> confusion involves efforts to translate very complex scientific
> matters, ones that are themselves unstable over time because of
> evolution in both understanding and of the virus, into language
> lay people and regulators can understand.  I do not envy the
> positions of those within or advising the agencies who need to
> make things understandable to their decision-makers nor those
> who then have to translate those decisions to the public.   Any
> of us who have tried to explain how some subtle aspect of the
> Internet works and why it works that way to either typical
> children of elementary school age or stereotypical grandparents
> should be able to understand the problem those people face in
> trying to explain the issues and decisions they fact to lay
> audiences, including most of us.
>
> So, I don't think the IETF community (or the subset that
> participates in SHMOO) should be expected to do the simplifying.
> An "approach to simplification", maybe, but I have trouble
> imagining our competently going much beyond "pick the most
> restrictive interpretation" or "if there is ambiguity, see how
> far we can push the boundaries".
>
>
>> And even if we imagine that there is one authority with clear
>> guidance, some of the guidance might be irrelevant, or needing
>> interpretation, or the guidance might make recommendations
>> based on the situation for which the IETF event would then
>> need to consider which advice to follow, which from a high
>> level approach would be in scope for shmoo.
> I agree, but I hope that even that statement may need
> interpretation.  In some ways, what this note is about is trying
> to clarify what "high-level" means.  I suggest that, as soon as
> we need to discuss a particular IETF event (except past ones as
> examples from which we can learn), we are into territory that
> should be out of scope for SHMOO.
>
> thanks,
>     john
>
>
-- 
Mallory Knodel
CTO, Center for Democracy and Technology
gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9 B071 0C32 A271 BD3C C780

---

From: Martin Duke <[email-masked]>
Date: Wed, 2 Feb 2022 11:42:15 -0800

that certainly works for me

On Wed, Feb 2, 2022 at 11:34 AM Mallory Knodel <[email-masked]> wrote:

> --On Tuesday, January 18, 2022 13:44 -0500 Mallory Knodel<[email-masked]> <[email-masked]> wrote:
>
>
> Hi Martin,
>

---

From: John C Klensin <[email-masked]>
Date: Wed, 02 Feb 2022 17:28:38 -0500

Martin and Mallory,

While I'm glad to see the block on the charter removed, I hope
the other comments in the set of messages you quoted do not get
lost in the process.

As a quick summary, I hope SHMOO can confine itself to subjects
that are sufficiently within the competence of the participants
to make claims of consensus meaningful.  I think it would be
fine for the WG to identify issues and hand them off to the LLC
or others but, as far as making specifications or writing
documents is concerned, I hope the WG keep the limits of
knowledge among the participants clear and avoid doing work on
the basis of strong but uninformed opinions or passions.

   john

--On Wednesday, February 2, 2022 11:42 -0800 Martin Duke
<[email-masked]> wrote:

>> -------------------------------------------------------------
>> --------- BLOCK:
>> I have trouble seeing what high-level principles a BCP
>> regarding compliance with health policies will enumerate.
>> Isn't it pretty much "do what the health authorities tell us
>> to do"? Is the intent to establish red lines to cancel (but
>> cancellation criteria are out of scope). Or is it to have
>> principles for rationing access to the venue when capacity
>> see drops? Please clarify what the intent is here.
>> 
>> Given Roman's and Martin's blocks and that no one is
>> particularly defending them I propose we simply remove this
>> item from the activities listed in the charter:
>> 
>> - Meeting planning for meetings where special measures are
>> required to manage community health due to venue specific
>>   restrictions and/or to comply with any local health
>>   regulations, e.g., the need for increased spacing,
>>   ventilation requirements etc. This work item is expected to
>>   be fulfilled with the publication of one or more BCPs.
>> 
>> I have a concern that may be similar to Martin's and another
>> one that is hinted at from my comments about another set of
>> --On Tuesday, January 18, 2022 13:44 -0500 Mallory
>> Knodel<[email-masked]> <[email-masked]> wrote:
>> 
>> 
>> Hi Martin,
>> 
>> to take as an authority should not be.  Even the former may
>> not be under our control: As Alex, Fred, and others have
>> pointed out directly on indirectly, when cognizant legal or
>> regulatory authorities lay out rules that they have to power
>> to enforce, those are the rules and the IETF's opinion about
>> them is of no value.  In that regard, while I agreed that
>> cancellation criteria should be out of scope, I wonder
>> whether it would be useful for the WG to have some discussion
>> about principles to be followed if rules imposed by venues or
>> local authorities change in ways that would make holding a
>> scheduled meeting more difficult.   While sometimes those
>> things can be negotiated (as the IETF has occasionally been
>> able to negotiate around local rules in the past), our being
>> able to do things that are forbidden to the local population
>> can stir up serious resentments that last long beyond the
>> time of the actual event. I am confident that the LLC
>> understands those issues, but it seems to me that high-level
>> advice from this WG about where to draw the line would be
>> appropriate.
>> 
>> concentration in the IETF of people with expertise in
>> networking at its various levels, in-depth knowledge of
>> immunology, epidemiology, and the more technical aspects of
>> public health planning is rather sparse.   One symptom is
>> that I've seen assertions on this list that I've gotten
>> curious about and passed on to epidemiologist colleagues for
>> a reaction.  The reactions have uniformly been close to
>> "those people should stick to Internet design and technology".
>> 
>> So, again, suggesting criteria -- starting with "violating
>> local laws is usually bad"-- should be fine.   Picking who to
>> consider an authority is a problem best left to the LLC who
>> are in a better position to obtain whatever
>> professional-specialist advice is needed, put it into IETF
>> context, and act on it.
>> 
>> 
>> confusion involves efforts to translate very complex
>> scientific matters, ones that are themselves unstable over
>> time because of evolution in both understanding and of the
>> virus, into language lay people and regulators can
>> understand.  I do not envy the positions of those within or
>> advising the agencies who need to make things understandable
>> to their decision-makers nor those who then have to translate
>> those decisions to the public.   Any of us who have tried to
>> explain how some subtle aspect of the Internet works and why
>> it works that way to either typical children of elementary
>> school age or stereotypical grandparents should be able to
>> understand the problem those people face in trying to explain
>> the issues and decisions they fact to lay audiences,
>> including most of us.
>> 
>> participates in SHMOO) should be expected to do the
>> simplifying. An "approach to simplification", maybe, but I
>> have trouble imagining our competently going much beyond
>> "pick the most restrictive interpretation" or "if there is
>> ambiguity, see how far we can push the boundaries".
>> 
>> 
>> 
>> interpretation.  In some ways, what this note is about is
>> trying to clarify what "high-level" means.  I suggest that,
>> as soon as we need to discuss a particular IETF event (except
>> past ones as examples from which we can learn), we are into
>> territory that should be out of scope for SHMOO.
>> 
>> thanks,
>>    john
>> 
>> 
>> 
>> --
>> Mallory Knodel

---

From: Mallory Knodel <[email-masked]>
Date: Wed, 2 Feb 2022 14:44:57 -0800

Hi John,

Well received. Would you have suggestions to charter changes along these 
lines or are we okay proceeding with the recharter.

Thanks a lot for the reminder on those important points,

-Mallory

On 2/2/22 5:28 PM, John C Klensin wrote:
>>> ---------

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 3 Feb 2022 09:46:31 +0100

Le 02/02/2022 à 20:34, Mallory Knodel a écrit :
>>  I have trouble seeing what high-level principles a BCP regarding 
>> compliance with health policies will enumerate. Isn't it pretty 
>> much "do what the health authorities tell us to do"? Is the intent 
>> to establish red lines to cancel (but cancellation criteria are
>> out of scope). Or is it to have principles for rationing access to
>> the venue when capacity see drops? Please clarify what the intent
>> is here.
> 
> defending them I propose we simply remove this item from the 
> activities listed in the charter:
> 
>> restrictions and/or to comply with any local health regulations,
>> e.g., the need for increased spacing, ventilation requirements etc.
>> This work item is expected to be fulfilled with the publication of
>> one or more BCPs.
> 

Given the interest level, I do not disagree with that way forward, 
provided however that the IETF covid board or person in charge
are aware.

Alex

>> I would hope that, while setting criteria or giving guidance about 
>> making that decision would be within scope, deciding who to take as
>> an authority should not be.  Even the former may not be under our
>> control: As Alex, Fred, and others have pointed out directly on 
>> indirectly, when cognizant legal or regulatory authorities lay out 
>> rules that they have to power to enforce, those are the rules and 
>> the IETF's opinion about them is of no value.  In that regard, 
>> while I agreed that cancellation criteria should be out of scope,
>> I wonder whether it would be useful for the WG to have some 
>> discussion about principles to be followed if rules imposed by 
>> venues or local authorities change in ways that would make holding 
>> a scheduled meeting more difficult.   While sometimes those things 
>> can be negotiated (as the IETF has occasionally been able to 
>> negotiate around local rules in the past), our being able to do 
>> things that are forbidden to the local population can stir up 
>> serious resentments that last long beyond the time of the actual 
>> event. I am confident that the LLC understands those issues, but it
>> seems to me that high-level advice from this WG about where to draw
>> the line would be appropriate.
>> 
>> concentration in the IETF of people with expertise in networking at
>> its various levels, in-depth knowledge of immunology, epidemiology,
>> and the more technical aspects of public health planning is rather
>> sparse. One symptom is that I've seen assertions on this list that
>> I've gotten curious about and passed on to epidemiologist
>> colleagues for a reaction.  The reactions have uniformly been close
>> to "those people should stick to Internet design and technology".
>> 
>> an authority is a problem best left to the LLC who are in a better
>>  position to obtain whatever professional-specialist advice is 
>> needed, put it into IETF context, and act on it.
>> 
>>> Additionally the guidance from one authority, say the CDC in the 
>>> US, can be confusing and in need of simplification, or in the 
>>> scope of shmoo an agreed upon approach to simplification.
>> positions of those within or advising the agencies who need to make
>> things understandable to their decision-makers nor those who then
>> have to translate those decisions to the public.   Any of us who
>> have tried to explain how some subtle aspect of the Internet works
>> and why it works that way to either typical children of elementary
>> understand the problem those people face in trying to explain the
>> issues and decisions they fact to lay audiences, including most of
>> us.
>> 
>> restrictive interpretation" or "if there is ambiguity, see how far
>> we can push the boundaries".
>> 
>> 
>>> interpretation, or the guidance might make recommendations based 
>>> on the situation for which the IETF event would then need to 
>>> consider which advice to follow, which from a high level
>>> approach would be in scope for shmoo.
>> to clarify what "high-level" means.  I suggest that, as soon as we
>>  need to discuss a particular IETF event (except past ones as 
>> thanks, john
> -- Mallory Knodel CTO, Center for Democracy and Technology gpg 
> fingerprint :: E3EB 63E0 65A3 B240 BCD9 B071 0C32 A271 BD3C C780
> 
> 
> _______________________________________________ Manycouches mailing 
> list [email-masked] 
> https://www.ietf.org/mailman/listinfo/manycouches

---

From: John C Klensin <[email-masked]>
Date: Thu, 03 Feb 2022 23:58:17 -0500

Mallory,

Apologies for taking this long to get back to this topic and
your note.  My experience with IETF WGs suggests that it is
important to get things out of charters that we don't want the
WG to attempt to do or that seem seriously ill-defined.
Martin's objection to the proposed BCPs fell, IMO, into both of
those categories.  By contrast, advice or instructions to WGs
and their participants about how they should think about
problems, recognizing their limitations, and so on are rarely
worth the trouble.  If the WG Chairs understand the issues and
appreciate the risks, the text is rarely needed.  If they don't,
additional text is rarely useful.  

So, if you and Suresh accept those points, I think proceeding
with the charter is fine.  Turning your question to me into one
to you, do you see any reason why text for the charter along
those lines would help you manage the WG?  If so, I'll try to
craft something but my assumption is that, even if you have to
periodically remind some WG participants, you can do perfectly
well without it.

best,
   john

--On Wednesday, February 2, 2022 14:44 -0800 Mallory Knodel
<[email-masked]> wrote:

> Hi John,
> 
> Well received. Would you have suggestions to charter changes
> along these lines or are we okay proceeding with the recharter.
> 
>> the other comments in the set of messages you quoted do not
>> get lost in the process.
>> 
>> As a quick summary, I hope SHMOO can confine itself to
>> subjects that are sufficiently within the competence of the
>> participants to make claims of consensus meaningful.  I think
>> it would be fine for the WG to identify issues and hand them
>> off to the LLC or others but, as far as making specifications
>> or writing documents is concerned, I hope the WG keep the
>> limits of knowledge among the participants clear and avoid
>> doing work on the basis of strong but uninformed opinions or
>> passions.
>> 
>>     john
>> 
>> 
>>>> -----------------------------------------------------------
>>>> -- --------- BLOCK:
>>>> -----------------------------------------------------------
>>>> -- ---------
>>>> 
>>>>    ventilation requirements etc. This work item is expected
>>>>    to be fulfilled with the publication of one or more BCPs.
>>>> 
>>>> about making that decision would be within scope, deciding
>>>> who to take as an authority should not be.  Even the former
>>>> may not be under our control: As Alex, Fred, and others have
>>>> whether it would be useful for the WG to have some
>>>> discussion about principles to be followed if rules imposed
>>>> by venues or local authorities change in ways that would
>>>> make holding a scheduled meeting more difficult.   While
>>>> sometimes those things can be negotiated (as the IETF has
>>>> occasionally been able to negotiate around local rules in
>>>> the past), our being able to do things that are forbidden
>>>> to the local population can stir up serious resentments
>>>> that last long beyond the time of the actual event. I am
>>>> confident that the LLC understands those issues, but it
>>>> seems to me that high-level advice from this WG about where
>>>> to draw the line would be appropriate.
>>>> 
>>>> local laws is usually bad"-- should be fine.   Picking who
>>>> to consider an authority is a problem best left to the LLC
>>>> who are in a better position to obtain whatever
>>>> the US, can be confusing and in need of simplification, or
>>>> in the scope of shmoo an agreed upon approach to
>>>> simplification.
>>>> 
>>>> to their decision-makers nor those who then have to
>>>> translate those decisions to the public.   Any of us who
>>>> have tried to explain how some subtle aspect of the
>>>> children of elementary school age or stereotypical
>>>> grandparents should be able to understand the problem those
>>>> people face in trying to explain the issues and decisions
>>>> they fact to lay audiences, including most of us.
>>>> 
>>>> And even if we imagine that there is one authority with
>>>> clear guidance, some of the guidance might be irrelevant,
>>>> or needing interpretation, or the guidance might make
>>>> recommendations based on the situation for which the IETF
>>>> event would then need to consider which advice to follow,
>>>> which from a high level approach would be in scope for
>>>> shmoo.
>>>> 
>>>> as soon as we need to discuss a particular IETF event
>>>> (except past ones as examples from which we can learn), we
>>>> are into territory that should be out of scope for SHMOO.
>>>> 
>>>> thanks,
>>>>     john
>>>> 
>>>> 
>>>> 
>>>> --
>>>> Mallory Knodel

---

From: Mallory Knodel <[email-masked]>
Date: Fri, 4 Feb 2022 10:49:26 -0800

Thanks John,

Appreciate your guidance. I think that we'll be okay moving forward by 
just removing the text as accepted by Martin. I've not yet heard from 
Roman, but since he echoe'd Martin I am confident we will get through 
this new version without further blocks.

Therefore, please expect this new version to move through approval soon,

-Mallory